/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2014 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/vacancyagency.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/vacancyagency.xml',
'<View title="Vacancy agency" objectType="XXAS_IRC_AGENCY_VACANCY" deleteAllowed="true" deleteLabel="{message.XXAS_RB_COM_DEL}" defaultFormHandler="xxas_vacancy_pkg.commit_form_data">

  <CreateFields>
  
    <Hidden id="AGENCY_VACANCY_ID"/>
    <Poplist id="AGENCY_ID" label="Name" listProvider="VALUE_SET_NAME:XXAS_Recruiting_Vacancy_Agencies" required="true"/>
	<Number id="MAX_ALLOWED_APPLICANTS" label="Maximum Applicant Count"/>

		<Date id="START_DATE" label="Start Date" required="true"/>
    <Date id="END_DATE" label="End Date" required="false"/>
	<Poplist id="MANAGE_APPLICANTS_ALLOWED" label="Manage Applicants Allowed" listProvider="LOOKUP_TYPE:YES_NO"/>
    
  </CreateFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/vacancyagency.xml');
END;
/
COMMIT;
EXIT;
